# IntegerSet Class Reference
[Common wrapper and helper classes]

Integer's set. More...

Inheritance diagram for IntegerSet:
[legend]

List of all members.

## Public Member Functions

| contains ($value)

## Static Public Member Functions

static | create ($min=PrimitiveInteger::SIGNED_MIN, $max=PrimitiveInteger::SIGNED_MAX)

## Detailed Description

Integer's set.

Definition at line 17 of file IntegerSet.class.php.

## Member Function Documentation

IntegerSet::contains | ( | $ | value | ) |

Definition at line 27 of file IntegerSet.class.php.

References BaseRange::getMax(), and BaseRange::getMin().

Here is the call graph for this function:

static IntegerSet::create | ( | $ | min = `PrimitiveInteger::SIGNED_MIN`,
|  | $ | max = `PrimitiveInteger::SIGNED_MAX` |
| ) |  |  | `[static]`

Returns:
  Range

Reimplemented from Range.

Definition at line 19 of file IntegerSet.class.php.

References BaseRange::$max, and BaseRange::$min.

The documentation for this class was generated from the following file:

- main/Base/IntegerSet.class.php